import { resolveContestId } from "../../../utils/election/index.js";
import useContestResults from '../useContestResults';
const useContestCandidatesMetadata = function useContestCandidatesMetadata(id) {
  const contestId = resolveContestId(id);
  const results = useContestResults(contestId);
  if (!results || !results.candidates) return undefined;
  return results.candidates;
};
export default useContestCandidatesMetadata;